%define name autoconf2.5
%define version 2.52d
%define prefix %{_prefix}
%define release 1mdk

Name: %{name}
Summary: A GNU tool for automatically configuring source code.
Version: %{version}
Release: %{release}
License: GPL
Group: Development/Other
Source: ftp://prep.ai.mit.edu/pub/gnu/autoconf/autoconf-%{version}.tar.bz2
Patch0: autoconf-2.52-mawk.patch.bz2
Prereq: /sbin/install-info
Requires: gawk, m4, mktemp, perl
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRequires: texinfo
BuildRoot: %_tmppath/%{name}-root
BuildArch: noarch
Requires: /usr/bin/perl
Requires: %{_libdir}/autoconf/ac-wrapper.pl
URL: http://sourceware.cygnus.com/autoconf/
Epoch: 1

%description
GNU's Autoconf is a tool for configuring source code and Makefiles.
Using Autoconf, programmers can create portable and configurable
packages, since the person building the package is allowed to 
specify various configuration options.

You should install Autoconf if you are developing software and you'd
like to use it to create shell scripts which will configure your 
source code packages. If you are installing Autoconf, you will also
need to install the GNU m4 package.

Note that the Autoconf package is not required for the end user who
may be configuring software with an Autoconf-generated script; 
Autoconf is only required for the generation of the scripts, not
their use.

-- PLEASE NOTICE ---> this version is meant to coexist with autoconf-2.13
(for backwards compatibility); to that end, the various binaries are
actually linked to a script which decides which version to execute. It
tries to be clever and will execute 2.5x if `configure.ac' is present, or
if `configure.in' contains AC_PREREQ and the value's 3 first letters are
stringwise greater than '2.1'. You can also manually select it by
providing the environment variable WANT_AUTOCONF_2_5 set to `1' (use
WANT_AUTOCONF_2_1 if you want the 2.13 version).


%prep
%setup -q -n autoconf-%{version}
%patch0 -p1

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# We don't want to include the standards.info stuff in the package,
# because it comes from binutils...
rm -f $RPM_BUILD_ROOT%{_infodir}/standards*

for i in autoconf autoheader autoreconf autoscan autoupdate ifnames autom4te; do
		mv $RPM_BUILD_ROOT%{_bindir}/$i $RPM_BUILD_ROOT%{_bindir}/$i-2.5x
done
# new in 2.5x
ln -s ../lib/autoconf/ac-wrapper.pl $RPM_BUILD_ROOT%{_bindir}/autom4te

mv $RPM_BUILD_ROOT%{_infodir}/autoconf.info $RPM_BUILD_ROOT%{_infodir}/autoconf-2.5x.info

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/*.info
%{_bindir}/*
%{_datadir}/autoconf
%{_mandir}/*/*

%changelog
* Wed Oct 17 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.52d-1mdk
- bump up to 2.52d with help from Abel Cheung <maddog@linux.org.hk>
- runs through ac-wrapper.pl for transparent co-existance with 2.13
- provide man pages

* Thu Aug 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.13-9mdk
- rebuild to change distribution tag

* Tue May 01 2001 David BAUDENS <baudens@mandrakesoft.com> 2.13-8mdk
- Use %%_tmppath for BuildRoot

* Mon Oct 16 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.13-7mdk
- fix for compiling c++ code with gcc-2.96 in some cases

* Thu Aug 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.13-6mdk
- rebuild to fix %preun script (pixel sucks)

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.13-5mdk
- automatically added packager tag

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.13-4mdk
- macros for install-info

* Mon Jul 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.13-3mdk
- cleanup and macros

* Fri Mar 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.13-2mdk
- new groups

* Mon Mar  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.13-1mdk
- Back to last 2.13 and stable version, add a serial.

* Wed Oct 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge change of Jeff package.

* Thu May 13 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- 2.14.1

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- add patch to help autoconf clean after itself and not leave /tmp clobbered
  with acin.* and acout.* files (can you say annoying?)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)
- use gawk, not mawk

* Thu Mar 18 1999 Preston Brown <pbrown@redhat.com>
- moved /usr/lib/autoconf to /usr/share/autoconf (with automake)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Jan 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.13.

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- requires perl

* Thu Aug 27 1998 Cristian Gafton <gafton@redhat.com>
- patch for fixing /tmp race conditions

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- spec file cleanups
- made a noarch package
- uses autoconf
- uses install-info

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built with glibc

